Upgrade from 3.2.2 to 3.6.4 Problem

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Upgrade from 3.2.2 to 3.6.4 Problem

qualys
Hello,

I tried to upgrade my Bugzilla installation from 3.2.2 to 3.6.4 and I got this error when
I clicked on a particular bug after upgrade.

undef error - Can't use an undefined value as a HASH reference at Bugzilla/Template.pm

The line points to

   my $bug_word = template_var('terms')->{bug};
 
In version 3.2.2, the same line is


    my $bug_word = get_text('term', { term => 'bug' });


It looks to me like the get_text function has been changed to template_var which
causes this problem.    How do I fix it?    Any help would be greatly appreciated.


Thanks,

Phat